package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesMediaFileCfgService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesMediaFileCfg;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 * @Description: 媒体文件维护
 * @CreateDate 2024/6/6
 * @Author gsz
 */
@Service
@Slf4j
public class MesMediaFileCfgService extends BaseMesService<MesMediaFileCfg> implements IMesMediaFileCfgService {
    @Autowired
    private MesConfigService mesConfigService;
    protected void setPackQueryBean(MesMediaFileCfg bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringLikerPack(bean.getFileName(), "fileName", packBean);
        DdlPreparedPack.getNumEqualPack(bean.getFileType(), "fileType", packBean);
    }

    @Override
    protected void onInsertBean(MesMediaFileCfg item) {
        String localAddr = mesConfigService.getCfgValue(item.getOrganizeCode(), "LOCAL_PCN_PICTURE_ADDR");
        String fileUrl = item.getFileUrl();
        int index = fileUrl.lastIndexOf("/");
        String fileName = fileUrl.substring(index + 1);
        item.setLocalFileUrl(localAddr + fileName);
    }
}
